summaryrefslogtreecommitdiff
path: root/dev-python/pygraphviz
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-02 03:05:03 -0500
committerCrucible <crucible@localhost>2026-10-02 03:05:03 -0500
commitc8cc1214c14d1f5931a1ecb986b940d05cf5145b (patch)
tree688b35f9bd1276715e07d46cf77cc778f6435ee5 /dev-python/pygraphviz
parentc387ab5925039957145c01955c824bf9b3c7cafc (diff)
downloadsrcux-c8cc1214c14d1f5931a1ecb986b940d05cf5145b.tar.gz
srcux-c8cc1214c14d1f5931a1ecb986b940d05cf5145b.tar.xz
srcux-c8cc1214c14d1f5931a1ecb986b940d05cf5145b.zip
Publish srcux candidate 0000000551-20261002-030306
Diffstat (limited to 'dev-python/pygraphviz')
-rw-r--r--dev-python/pygraphviz/Manifest2
-rw-r--r--dev-python/pygraphviz/pygraphviz-2.0.3.ebuild63
2 files changed, 65 insertions, 0 deletions
diff --git a/dev-python/pygraphviz/Manifest b/dev-python/pygraphviz/Manifest
index dfdd1a65a539..d97ff01affef 100644
--- a/dev-python/pygraphviz/Manifest
+++ b/dev-python/pygraphviz/Manifest
@@ -3,3 +3,5 @@ DIST pygraphviz-2.0.1.tar.gz 81998 BLAKE2B 3aa4ad0c331b745837021d13a07e77622f35e
DIST pygraphviz-2.0.1.tar.gz.provenance 9843 BLAKE2B d73ca166bb3eec28589d2592d806b393436dd2ec33d29d819344829191c716b480c33e1444863db6e9f089c5ec8684e2bc0819ed68f69ef343933faa6fd9ae99 SHA512 a7333e6002b78de6bf37ce0affeb63e97f565d5130daee9ea7402532e3f86c42323af2d00e398c9b15354469a6ba74ac635639ee7a923e9f23180878c514e8ee
DIST pygraphviz-2.0.2.tar.gz 82229 BLAKE2B 9c32c8a4a5f64321250a988daea5c8f5369f697f856521ac6fc454c6abd62b42a732cb30dc7918c3307122a09ca173eedeb5948aed913fccc55a99b10289e436 SHA512 4ab5b8ade4449f1d572f5c2e2ec00c8d74a5f0df9c6b482e5ed147544d00a2d2274e9a934d9592e119169f46bdfcf3b1a8f88fb8cc062643c27a91b07b68e88e
DIST pygraphviz-2.0.2.tar.gz.provenance 10225 BLAKE2B 06f08a01db8dcc1f94e5810862fc61422fd8eb3a2a6e80142f3e67297e9b2cea93a2728dbc6570a4436c612d84bcf354995251bbc18582a5d92221ffd836b4e9 SHA512 be0b620e5e0257420c861e3272429c993c4f04ebf5961520ef297d8f209ab320f7a5c567fd80a65f31e5b5b0a9d7456ab5d003c12221f7863b19f360d2145c5e
+DIST pygraphviz-2.0.3.tar.gz 82969 BLAKE2B 9b6da0d64b86997885de5a3eeb87175c91c1c5d8838d067c3c257bc1d1f1bcf3142adde5d8f553c6c40376641a597c41fb842fe14cae1538c62924343a29d13b SHA512 115c1d34f8a201e94b97baf2d10adda38fbf056c003a87ccb27fe729a57512031d57877c1e6a158f5238bb36b76570e7ada9e6f327ab316c87ba427452b3740e
+DIST pygraphviz-2.0.3.tar.gz.provenance 10221 BLAKE2B 4234a75c995cf795b7ca5b8ec8f8d5a9b357c346a4d0a1ef566156bc51f0be51b398e0b7c355faf38a63c3b9cc8ed162229063c32724fca92a6a2801febb1b40 SHA512 d93d646a659588e3926ce945327b4a201ff9a0f455e65deebe98102042ae708efc877b29a5546a37c47edd8bbf58dc0ea0bc880f1783dc35e7e5dd2d5d1203c9
diff --git a/dev-python/pygraphviz/pygraphviz-2.0.3.ebuild b/dev-python/pygraphviz/pygraphviz-2.0.3.ebuild
new file mode 100644
index 000000000000..b248bc96c7a5
--- /dev/null
+++ b/dev-python/pygraphviz/pygraphviz-2.0.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/pygraphviz/pygraphviz
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 flag-o-matic pypi toolchain-funcs
+
+DESCRIPTION="Python wrapper for the Graphviz Agraph data structure"
+HOMEPAGE="
+ https://pygraphviz.github.io/
+ https://github.com/pygraphviz/pygraphviz/
+ https://pypi.org/project/pygraphviz/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~x64-macos"
+
+# Note: only C API of graphviz is used, PYTHON_USEDEP unnecessary.
+# [cairo] is actually pangocairo, needed for gvplugin_pango.
+DEPEND="
+ media-gfx/graphviz:=[cairo]
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-lang/swig:0
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_configure() {
+ # set to a meaningless path, it hardcodes /lib anyway; at least it
+ # will stop it from adding a bunch of wrong RUNPATHs
+ export GRAPHVIZ_PREFIX=${T}
+
+ # upstream's solution to "not one of the random hardcoded paths" is
+ # literally "add a bunch of -I -L flags yourself"
+ append-cppflags $($(tc-getPKG_CONFIG) --cflags libcdt || die)
+ local libdir=$($(tc-getPKG_CONFIG) --variable=libdir libcdt || die)
+ # the build system will pass a bunch of "-l"s anyway
+ append-ldflags $($(tc-getPKG_CONFIG) --libs-only-L libcdt || die) \
+ -L"${libdir}/graphviz" -Wl,-rpath,"${libdir}/graphviz"
+}
+
+python_test() {
+ rm -rf pygraphviz || die
+ epytest --pyargs pygraphviz
+}
+
+python_install_all() {
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+
+ distutils-r1_python_install_all
+}